Alokai

SapccApiGetPageByIdRequest

Request parameters for getPageById operation in SapccApi. SapccApiGetPageByIdRequest

interface SapccApiGetPageByIdRequest {
	readonly baseSiteId: string;
	readonly categoryCode?: string;
	readonly fields?: GetPageByIdFieldsEnum;
	readonly pageId: string;
	readonly productCode?: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiGetPageById
categoryCodeOptionalstringCategory code {string} SapccApiGetPageById
fieldsOptionalGetPageByIdFieldsEnumResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC, DEFAULT, FULL. {'BASIC' | 'DEFAULT' | 'FULL'} SapccApiGetPageById
pageIdRequiredstringPage Id {string} SapccApiGetPageById
productCodeOptionalstringProduct code {string} SapccApiGetPageById

Referenced Types

On this page